# Meeting outputs

I spoke with Luiza Bengtsson (scientific communication, MDC). On top of her experience at the MDC, she also shared example of how the european institutions look for reviewers in their database.


## 1. The Question asked.

First of all, one needs to find a common denominator for all studies, and this often comes to the question asked in the study. In the SFB, this also implies how the question is related to memory consolidation (if it is) and/or the work of others in the consortium.

Indeed the scientific question is a "übergreifend" components of the study, allowing a quick understanding of the topic, and helping understanding the answer.

## 2. Filtering elements

People tend to loose interest if they are filled with unrelevant information: if they need to search a long time before digging interesting stuff, they tend to abandon before reaching it.

The use of keywords can help but is often not sufficient, especially if the keywords are too general (for example "DNA" in european grant search for reviewers). An efficient way to go in the grant problem is searching for very specific keywords in the publication list of the reviewers.

In our case, we could calculate a distance between the keywords of the smartfigure and the keywords previously used by the person searching. This necessitate quite a lot of data about the person searching. We could either get some data from the publication records, or wait for more data to come. I will probably be quite difficult to implement anyway.

Another possibility is to do it manually, either via getting a "recommend" button or via direct curation by someone knowing a lot about the different projects (me, marylu ?).
